Subject: Re: [RFC] SPD basic actions per netdev

From: jamal <[email-masked]>
Date: Wed, 31 Mar 2010 22:35:23 -0400

On Thu, 2010-04-01 at 08:33 +0800, Herbert Xu wrote:

> If we're going to change this then we should just add a second
> interface field to the selector, rather than trying to overload
> the existing one.

Do you mean to have a selector->iif/oif? Sure that makes sense - but is
a much larger surgery and user space will need to be taught.

Did you look at the patch i sent? i tried to retain current behavior
except for the input check path. output path was working in classifying
with specific netdevs. 

cheers,
jamal